# Mylibrary.bookshelves: get

Retrieves metadata for a specific bookshelf belonging to the authenticated user.
[Try it now](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves/get#try-it).

## Request

### HTTP Request

```
GET https://www.googleapis.com/books/v1/mylibrary/bookshelves/shelf
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `shelf` | `string` | ID of bookshelf to retrieve. |
| **Optional Parameters** |||
| `source` | `string` | String to identify the originator of this request. |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Mylibrary.bookshelves resource](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves#resource) in the response body.

## Try It!


Use the explorer below to call this method on live data and see the response.